package emps.v2_obiektowo;

import java.util.List;

// P7 - wypisz pracowników posortowanych wg pensji rosnąco
public class P7_Sortowanie {

	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");

// tutaj comparator zdefiniuję za pomocą wyrażenia lambda. więcej wersji zobaczymy w pakiecie v3_funkcyjnie
//		emps.sort((emp1, emp2) -> emp1.getSalary() - emp2.getSalary());
		emps.sort((emp1, emp2) -> Integer.compare(emp1.getSalary(), emp2.getSalary()));
		
		for(Employee emp : emps) {
			System.out.println(emp);
		}
		System.out.println();
		
		System.out.println("Najbiednieszy: " + emps.getFirst());
		System.out.println("Najbogatszy: " + emps.getLast());
	}

}

